import { Duration } from 'luxon';


export interface ILatchedNotifications
{
  reminders: INotificationReminders;
  notifications: Array<INotification>;
}


export interface INotificationReminders
{
  enabled: boolean;
  interval: Duration;
}


export interface INotification
{
  token: string;
  id: string;
  title: string;
  latched: boolean;
  latchTime: number;
  resetTime?: number;
  reminders: boolean;
  remindTime?: number;
}