import { createRouter, createWebHashHistory, RouteRecordRaw } from 'vue-router';
import Default from '../views/Default.vue';
import Notification from '../views/Notification.vue';


const routes: Array<RouteRecordRaw> = [
  {
    path: '/',
    name: 'Default',
    component: Default
  },
  {
    path: '/n/:token',
    name: 'Notification',
    component: Notification,
    props: true
  }
];

const router = createRouter({
  history: createWebHashHistory(),
  routes
});

export default router;