const PushoverTransport = require('./pushover');

const transportMap = {
  'pushover': new PushoverTransport()
}


class TransportProvider
{
  static create = () => new this();


  byType(type)
  {
    return transportMap.hasOwnProperty(type) ? transportMap[type] : null;
  }
}


module.exports = TransportProvider;